Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 610139 - incorrect net_cls example in Resource Management Guide
incorrect net_cls example in Resource Management Guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Resource_Management_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Douglas Silas
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 11:46 EDT by Jan Tluka
Modified: 2010-11-11 10:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:35:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Tluka 2010-07-01 11:46:01 EDT
Description of problem:

Section 1.7. Net_cls
<snip>
net_cls.classid contains a single value in hexadecimal format that indicates a traffic control handle. For example, 0x1001 represents the handle conventionally written as 10:1.
</snip>

This is incorrect. 0x1001 does not represent 10:1. The value for 10:1 should be 0x100001.

Version-Release number of selected component (if applicable):

manual's identifier: doc-Resource_Management_Guide and version number: 6

Additional info:

Here's the information that Thomas Graf sent me regarding the net_cls value:

<snip>
Basically the format is:
  0xAAAABBBB
where as
AAAA is the major number in hex format
and
BBBB is the minor number in hex format

This equals to AAAA:BBBB in iproute2 format.

1:1   -> 0x00010001
22:22 -> 0x00220022
</snip>
Comment 2 RHEL Product and Program Management 2010-07-01 12:03:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Ruediger Landmann 2010-11-05 20:41:20 EDT
(In reply to comment #0)

Thanks Jan -- this correction and more detailed explanation incorporated into build 0.7-1 of the guide.
Comment 5 releng-rhel@redhat.com 2010-11-11 10:35:54 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.